textures/xlab_floor/xlab_icefloor
{
	qer_editorimage textures/runfun/xlab/icexlab3.tga
	surfaceparm slick
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/runfun/xlab/icexlab3.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/sfx/wilsflame3
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 6666
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}


textures/runfun/quakevesi
{
	qer_editorimage textures/runfun/pool3d_3e.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	
	q3map_lightimage textures/runfun/pool3d_3e.tga
	//q3map_surfacelight 100
    //q3map_bounceScale 0.1

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/runfun/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/runfun/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .1 .1
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}





textures/fueldump/cave_dark_cushion
{
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm nodamage
	qer_editorimage textures/stone/mxrock3_a.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stone/mxrock3_a.tga
		blendFunc filter
	}
}

textures/arctic/trim1_10_FIX
{
	qer_editorimage textures/runfun/trimmi2.tga
	q3map_lightimage textures/arctic/trim6_1.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map textures/arctic/trim6_1.fx.tga
		tcmod scale 100 100
		tcmod scroll 3 0
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/arctic/trim6_1.fx.tga
		tcmod scale .500 0
		tcmod scroll 1 0
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/runfun/trimmi2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/eagle/ufo
{
	cull none
	qer_editorimage textures/runfun/ufo.tga
	qer_trans 	0.5
     
      	{
		map textures/runfun/ufo.tga
          	tcgen environment
		rgbGen identity
		tcMod scale 2 2
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/arctic/flag1_1_fixed
{
	qer_editorimage textures/arctic/flag1_1.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	cull none

	{
		map textures/arctic/flag1_1.tga
		rgbGen identity
	}
	{
		map textures/arctic/flag1_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	//{
	//	map textures/sfx/shadow.tga
	//	tcGen environment
	//	blendFunc GL_DST_COLOR GL_ZERO
	//	rgbGen identity
	//}
}

textures/arctic/arc_skybox3_fix1
{
	qer_editorimage textures/arctic/arc_sky3
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .9 .9 1 45 0 70
	q3map_surfacelight 45
	skyparms env/arcsky/arcsky2 1024 -
}

textures/arctic/arc_skybox3_fix2
{
	qer_editorimage textures/arctic/arc_sky3
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .9 .9 1 45 0 70
	q3map_surfacelight 45
	skyparms env/arcsky/arcsky2 1024 -

	{
		map textures/skies/topclouds.tga
		blendFunc filter
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}